﻿// <auto-generated />
using System;
using AlfaDuo.Infra.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace AlfaDuo.Infra.Migrations.SchedulerRunner
{
    [DbContext(typeof(SchedulerRunnerContext))]
    partial class SchedulerRunnerContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("AlfaDuo.Domain.Entities.SchedulerRunner", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("BIGINT")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<long>("SchedulerId")
                        .HasColumnType("BIGINT")
                        .HasColumnName("schedulerId");

                    b.Property<DateTime>("StartAt")
                        .HasColumnType("TIMESTAMP")
                        .HasColumnName("startAt");

                    b.HasKey("Id");

                    b.ToTable("SchedulerRunner", (string)null);
                });
#pragma warning restore 612, 618
        }
    }
}
